/* --------------------------------------------------------------

   Styles associes au code genere par SPIP

-------------------------------------------------------------- */

/* Listes SPIP */
ul.spip,
ol.spip { margin-left: 20px; }
ul.spip { list-style-image: url("/IMG/png/puce.png"); }
ul.spip2 { list-style-type: square; margin: 0 0 7% 6%; }
li ul.spip { list-style-type: disc; }
li li ul.spip { list-style-type: circle; }
ol.spip { list-style-type: decimal; }

dl.spip dt,
dl.spip dd { padding-left: 50px; }
dl.spip dt { clear: both; }
dl.spip dd {}

/* Tableaux SPIP */
table.spip { width: 100%;border: 1px solid #3950A4; }
table.spip caption {}
table.spip tr.row_first th {border-top: 0;background-color: #eee;border-bottom: 1px solid gray;}
table.spip tr.odd td {background-color: #e8f3ff}
table.spip tr.even td {background-color: #fff}

/* Citations, code et poesie */
blockquote.spip { min-height: 40px; background: url(img/quote.png) no-repeat; }
.spip_poesie { border-left: 1px solid; }
.spip_poesie div { margin-left: 50px; text-indent: -50px; }
.spip_code,
.spip_cadre { font-family: 'Courier New', Courier, monospace; font-size: 1em; }

/* Enluminures typo V3 / Cf.: http://contrib.spip.net/3118 */
sc, .sc { font-variant: small-caps; }
.caractencadre-spip { /*background-color: #FFFFCC; */ color: purple; }
.caractencadre2-spip { /*background-color: #FFFFCC;*/ color: orange; }
.texteencadre-spip { display: block; margin: 1.5em 50px; padding: 1.5em; background: #EEE; }

/* Logos, documents et images */
.spip_logos { float: left; margin: 0 2.6% 0 0; padding: 0; border: solid 4px #FFF;}
.bloc_portfolio .spip_logos {float: left;margin: 10px 2.6% 0 0;padding: 0;border: solid 4px #FFF;border: solid 4px #2944A2;border-radius: 5px;}

.spip_logos_responsive { float: left; margin: 0 3% 2.2% 0; padding: 0; border: solid 4px #FFF; width: 14%; height: auto;}

.spip_logos_right { float: right; margin: 0 0px 10px 24px; padding: 0; border: solid 4px #FFF; width: 100px; height: auto; ; }
 
.spip_logos_right2 {margin: 50px 20px ; padding: 0; width: 100px; height: auto; float: right; }
 
 
.spip_documents { margin-bottom: 1.5em; padding: 0; background: none; }
.spip_documents,
.spip_documents_center,
.spip_doc_titre,
.spip_doc_descriptif { margin-right: auto; margin-left: auto; text-align: center;/*width: 250px !important*/ }
.spip_documents_center { clear: both; display: block; width: 100%; }
.spip_documents_left { float: left; margin-right: 1.5em;clear: both; }
.spip_documents_right { float: right; margin-left: 1.5em;clear: both; }
.spip_doc_titre {width: 250px !important;}
.spip_doc_descriptif { clear: both; }

/* Modeles par defaut */
.spip_modele { float: right; display: block; width: 25%; margin: 0 0 1.5em 1.5em; padding: 1.5em; background-color: #EEE; }

/* Formulaires */
.formulaire_spip {}
.formulaire_spip li { clear: both; margin-bottom: 0.75em; }
.formulaire_spip .boutons { clear: both; margin: 0; padding: 0; text-align: right; }
.formulaire_spip .boutons input,
.formulaire_spip .boutons button {
	padding: .5em 1em;
	color: #FFF;
	border-radius: 3px;
	text-align: center;
	font-weight: 700;
	background-color: #3950A2;
	border: none;
}
@media print {
	.formulaire_spip { display: none; }
}

/* Barre typo */
.markItUp .markItUpHeader ul .markItUpSeparator { display: none; }

/* Previsu */
.previsu { margin-bottom: 1.5em; padding: 0.75em; border: 2px dashed #008000; background: #F9FFF9;max-width: 95%;margin-top: 4em; }
fieldset.previsu legend { color: #F57900; }

/* Reponses */
.reponse_formulaire { margin-bottom: 1.5em; padding: 0.75em; border: 2px solid #ddd; }
.reponse_formulaire_ok { background: #e6efc2; color: #264409; border-color: #c6d880;margin-top: 4em; }
.reponse_formulaire_erreur { background: #fbe3e4; color: #8a1f11; border-color: #fbc2c4; }
.reponse_formulaire_ok a { color: #264409; }
.reponse_formulaire_erreur a { color: #8a1f11; }

.erreur_message { color: red; }

li.erreur input[type="text"], li.erreur input.text,
li.erreur input[type="password"], li.erreur input.password,
li.erreur textarea { background-color: #fbe3e4; border-color: #fbc2c4; }

.spip_surligne { background-color: yellow; }

/* Formulaire de recherche */
.formulaire_recherche * { display: inline; }

/* Paragraphes */
div.spip, ul.spip, ol.spip, .spip_poesie, .spip_cadre, div.spip_code, .spip_documents.spip_documents_center { margin-bottom: 0; }

/* Pagination */
.pagination { clear: both; text-align: center;margin-top: 2em;display:flex }
.pagination-items.pagination_page {margin: auto;}
@media print {
	.pagination { display: none; }
}

/* Liens de SPIP */
a.spip_note { font-weight: bold; } /* liens vers notes de bas de page */
a.spip_in {} /* liens internes */
a.spip_mail {}
a.spip_out {} /* liens sortants */
a.spip_url {} /* liens url sortants */
a.spip_glossaire {} /* liens vers encyclopedie */
@media print {
	a.spip_out:after,
	a.spip_url:after { content: " (" attr(href) ")"; }
}

/* Boutons d'admin */
.ie6 .spip-admin,
.ie6 #spip-admin { display: none; }
@media print {
	.spip-admin,
	#spip-admin { display: none; }
}

/* end */
